/*=======================================================*/
/*  TVMSTRM.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_minsize  set min size of physical window        */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_minsize(OBJECT win,int rows,int cols)
{
   static BYTE stream[] = { S_MANAGER(3), MS_MINSIZE(0,0) } ;

   stream[5] = rows ;
   stream[6] = cols ;
   TVwin_stream(win,stream) ;
}

/*=======================================================*/
/* TVwin_maxsize  set max size of physical window        */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_maxsize(OBJECT win,int rows,int cols)
{
   static BYTE stream[] = { S_MANAGER(3), MS_MAXSIZE(0,0) } ;

   stream[5] = rows ;
   stream[6] = cols ;
   TVwin_stream(win,stream) ;
}

/* end of TVMSTRM.C */
